summaryrefslogtreecommitdiff
path: root/contrib/competitions/smt-comp/run-script-smtcomp2020-incremental
diff options
context:
space:
mode:
authorAndrew Reynolds <andrew.j.reynolds@gmail.com>2020-07-10 09:52:01 -0500
committerGitHub <noreply@github.com>2020-07-10 09:52:01 -0500
commit246f3c6d2f11e788ced562c1fc1f8def4628baf2 (patch)
tree2ae403e2c732d356367084d915c2ab9640858e0a /contrib/competitions/smt-comp/run-script-smtcomp2020-incremental
parentba7cda7a9cb02a38b1cf8fd9fbd85304a9056a5e (diff)
Update competition scripts (#4715)
This PR creates a "current" sygus comp scripts, similar to what we have been doing for SMT COMP. It updates these scripts to fix the option names, as many have changed recently. This also copies the SMT COMP current scripts to 2020, since they were used in the current state. @4tXJ7f let me know if this is not the case.
Diffstat (limited to 'contrib/competitions/smt-comp/run-script-smtcomp2020-incremental')
-rw-r--r--contrib/competitions/smt-comp/run-script-smtcomp2020-incremental75
1 files changed, 75 insertions, 0 deletions
diff --git a/contrib/competitions/smt-comp/run-script-smtcomp2020-incremental b/contrib/competitions/smt-comp/run-script-smtcomp2020-incremental
new file mode 100644
index 000000000..7861a4c85
--- /dev/null
+++ b/contrib/competitions/smt-comp/run-script-smtcomp2020-incremental
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+cvc4=./cvc4
+
+line=""
+while [[ -z "$line" ]]; do
+ read line
+done
+if [ "$line" != '(set-option :print-success true)' ]; then
+ echo 'ERROR: first line supposed to be set-option :print-success, but got: "'"$line"'"' >&2
+ exit 1
+fi
+echo success
+line=""
+while [[ -z "$line" ]]; do
+ read line
+done
+logic=$(expr "$line" : ' *(set-logic *\([A-Z_]*\) *) *$')
+if [ -z "$logic" ]; then
+ echo 'ERROR: second line supposed to be set-logic, but got: "'"$line"'"' >&2
+ exit 1
+fi
+echo success
+
+function runcvc4 {
+ # we run in this way for line-buffered input, otherwise memory's a
+ # concern (plus it mimics what we'll end up getting from an
+ # application-track trace runner?)
+ $cvc4 --force-logic="$logic" -L smt2.6 --print-success --no-type-checking --no-interactive "$@" <&0-
+}
+
+case "$logic" in
+
+ALIA|ANIA|AUFNIRA|LIA|LRA|QF_ALIA|QF_ANIA|QF_AUFBVLIA|QF_AUFBVNIA|QF_LIA|QF_LRA|QF_NIA|QF_UFBVLIA|QF_UFLIA|QF_UFLRA|QF_UFNIA|UFLRA)
+ runcvc4 --tear-down-incremental=1
+ ;;
+QF_AUFLIA)
+ runcvc4 --tear-down-incremental=1 --no-arrays-eager-index --arrays-eager-lemmas
+ ;;
+QF_BV)
+ runcvc4 --incremental --bitblast=eager --bv-sat-solver=cadical
+ ;;
+QF_UFBV)
+ runcvc4 --incremental
+ ;;
+QF_UF)
+ runcvc4 --incremental
+ ;;
+QF_AUFBV)
+ runcvc4 --incremental
+ ;;
+QF_ABV)
+ runcvc4 --incremental
+ ;;
+ABVFP)
+ runcvc4 --incremental
+ ;;
+BVFP)
+ runcvc4 --incremental
+ ;;
+QF_ABVFP)
+ runcvc4 --incremental
+ ;;
+QF_BVFP)
+ runcvc4 --incremental
+ ;;
+QF_FP)
+ runcvc4 --incremental
+ ;;
+*)
+ # just run the default
+ runcvc4 --incremental
+ ;;
+
+esac
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback